Skip to main content

Create Kakao Guild Chat Room

POST /v2/relation/kakao/create_guild​

This interface allows users to create Kakao guild chat rooms.

Request parameters​

For the query parameters for interface calls, see Query Parameters.

ParametersTypeDescriptionNote
openidstringPlayer Network SDK user identificationRequired
tokenstringPlayer Network SDK tokenRequired
guildIdstringGuild ID in the gameRequired
guildNamestringGuild name (set as the guild chat room name)Required
nickNamestringGame nickname of the player creating the guild chat roomRequired
worldIdstringRegion server ID distributed by the game serverOptional
guildImagestringGuild avatar URL (set as guild chat room avatar, default avatar used if not set)Optional
descstringGuild description (set as guild chat room description)Optional
profileImagestringGame account avatar link of the player creating the guild chat roomOptional

Request sample​

curl -sS -X POST -H 'Content-Type: application/json' 'https://test.intlgame.com/v2/relation/kakao/create_guild?gameid=11&channelid=35&os=3&sdk_version=2.0&source=0&ts=&sig=1231231' -d '{"token":"a17106cdb5f4789e1ee9bc148b298e515f4917c8","openid":"67733109145611","guildId":"test-guildid","guildName":"test-guildname","nickName":"test-nickName"}'

Response parameters​

ParametersTypeDescription
retuintReturn code
0: Success
Others: Failure
msgstringDetailed information of the result
worldIdstringRegion server ID distributed by the game server
guildIdstringGuild chat room ID created

Return Sample​

{
"guildId": "mock-guild",
"msg": "success",
"ret": 0,
"seq": "1650875532-0180225064-031744-0000002079",
"worldId": "mock-worId"
}